
From: Eric Valette <eric.valette@free.fr>

The following patch integrated in 2.5.74,

<http://lists.insecure.org/lists/linux-kernel/2003/Jun/5840.html>

really enables the APIC even if BIOS disabled it. Unfortunately, 
enabling APIC really does not seem to work on this ASUS laptop and ACPI 
(which is mandatory) crash the kernel in ACPI code at boot time while 
"Executing all Devices _STA and_INIT methods"

Unless someones find a bug in ACPI code related to APIC management, It 
is safer to add this machine in the DMI black list (along with DELL, 
IBM, ...).

So, as suggested by the author of the problematic change, I added and 
entry in the DMI black list. But my guess is that most laptop will soon 
be present in this list....



 arch/i386/kernel/dmi_scan.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN arch/i386/kernel/dmi_scan.c~blacklist-asus-L3800C-dmi arch/i386/kernel/dmi_scan.c
--- 25/arch/i386/kernel/dmi_scan.c~blacklist-asus-L3800C-dmi	2003-08-18 22:27:07.000000000 -0700
+++ 25-akpm/arch/i386/kernel/dmi_scan.c	2003-08-18 22:27:07.000000000 -0700
@@ -777,6 +777,12 @@ static __initdata struct dmi_blacklist d
 			NO_MATCH, NO_MATCH
 			} },
 
+	{ local_apic_kills_bios, "ASUS L3C", {
+			MATCH(DMI_BOARD_VENDOR, "ASUSTeK Computer INC."),
+			MATCH(DMI_BOARD_NAME, "P4_L3C"),
+			NO_MATCH, NO_MATCH
+			} },
+
 	/* Problem Intel 440GX bioses */
 
 	{ broken_pirq, "SABR1 Bios", {			/* Bad $PIR */

_
